package com.jz.dm.common.enums.auth;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums.auth
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthReqTypeEnum
 * @DATE: 2021-1-8/18:44
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
public enum  AuthReqTypeEnum {
    DAY("天"),
    MONTH("月"),
    YEAR("年");
    private String text;

    AuthReqTypeEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public static AuthReqTypeEnum fromAuthReqTypeEnum(String typeName) {
        for (AuthReqTypeEnum type : AuthReqTypeEnum.values()) {
            if (type.name().equals(typeName)) {
                return type;
            }
        }
        return null;
    }
}
