package com.jz.dm.models.req.api;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: LogInfoListReq
 * @DATE: 2020-12-25/14:59
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@Data
@ApiModel("APi信息列表")
public class ApiInterfaceInfoListReq extends BasePageBean implements Serializable {

    @ApiModelProperty(value = "状态:SUCCEED 请求成功, FAIL 请求失败")
    private String status;
    @ApiModelProperty(value = "ApiKey")
    private String apiKey;
}
