package com.jz.dm.models.req.organizationManage;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrganizationManageListQueryReq
 * @DATE: 2020-12-24/10:34
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Data
@ApiModel("组织管理查询请求体")
public class OrganizationManageListQueryReq extends BasePageBean implements Serializable {

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织编码(组织唯一标识)")
    private String orgCode;

    @ApiModelProperty(value = "组织联系人")
    private String linkman;

}
