package com.jz.manage.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @ClassName: 商品列表返回对象
 * @Author: Carl
 * @Date: 2020/12/14
 * @Version:
 */
@ApiModel(value = "商品列表", description = "商品列表参数对象")
@Data
public class DataGoodsListDto {

    /**
     * 数据商品id
     */
    @ApiModelProperty(value = "数据商品id")
    private Long dataGoodsId;

    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型")
    private String apiType;

    /**
     * 数据行业
     */
    @ApiModelProperty(value = "数据行业")
    private Long categoryId;

    /**
     * 分类名称
     */
    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    private Date uptTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "上传时间")
    private Date creTime;

    /**
     * 数据状态
     */
    @ApiModelProperty(value = "数据状态")
    private String dataStatus;


}
