package com.jz.manage.moduls.controller.customer.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/10
 * @Version:
 */
@ApiModel(value = "企业详细信息返回参数")
@Data
public class CompanyDetailsDto {

    @ApiModelProperty(value = "企业id")
    private Long departmentId;

    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "联系人姓名")
    private String customerName;

    @ApiModelProperty(value = "联系人电话")
    private String customerPhone;

    @ApiModelProperty(value = "企业地址")
    private String registeredAddress;

    @ApiModelProperty(value = "营业执照")
    private String businessLicense;

    @ApiModelProperty(value = "统一社会信用代码")
    private String unifiedCreditCode;

    @ApiModelProperty(value = "银行卡号")
    private String bankCardNumber;

    @ApiModelProperty(value = "开户行地址")
    private String bankName;


}
